Main Page Groups Namespaces

# sigc::internal::signal_emit4< void, T_arg1, T_arg2, T_arg3, T_arg4, nil > Struct Template Reference

Abstracts signal emission. More...

List of all members.

## Public Types

typedef signal_emit4< void, T_arg1, T_arg2, T_arg3, T_arg4, nil > | self_type
typedef void | result_type
typedef slot< void, T_arg1, T_arg2, T_arg3, T_arg4 > | slot_type
typedef signal_impl::const_iterator_type | iterator_type
typedef slot_type::call_type | call_type

## Static Public Member Functions

result_type | emit (signal_impl* impl, typename type_trait<T_arg1>::take _A_a1, typename type_trait<T_arg2>::take _A_a2, typename type_trait<T_arg3>::take _A_a3, typename type_trait<T_arg4>::take _A_a4)
| Executes a list of slots using an accumulator of type T_accumulator.

## Detailed Description

### template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
struct sigc::internal::signal_emit4< void, T_arg1, T_arg2, T_arg3, T_arg4, nil >

Abstracts signal emission.

This template specialization implements an optimized emit() function for the case that no accumulator is used and the return type is `void`.

## Member Typedef Documentation

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
typedef slot_type::call_type sigc::internal::signal_emit4<void, T_arg1, T_arg2, T_arg3, T_arg4, nil>::call_type

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
typedef signal_impl::const_iterator_type sigc::internal::signal_emit4<void, T_arg1, T_arg2, T_arg3, T_arg4, nil>::iterator_type

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
typedef void sigc::internal::signal_emit4<void, T_arg1, T_arg2, T_arg3, T_arg4, nil>::result_type

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
typedef signal_emit4<void, T_arg1,T_arg2,T_arg3,T_arg4, nil> sigc::internal::signal_emit4<void, T_arg1, T_arg2, T_arg3, T_arg4, nil>::self_type

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
typedef slot<void, T_arg1,T_arg2,T_arg3,T_arg4> sigc::internal::signal_emit4<void, T_arg1, T_arg2, T_arg3, T_arg4, nil>::slot_type

## Member Function Documentation

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
result_type sigc::internal::signal_emit4<void, T_arg1, T_arg2, T_arg3, T_arg4, nil>::emit | ( | signal_impl* | impl,
|  | typename type_trait<T_arg1>::take | _A_a1,
|  | typename type_trait<T_arg2>::take | _A_a2,
|  | typename type_trait<T_arg3>::take | _A_a3,
|  | typename type_trait<T_arg4>::take | _A_a4
| ) | `[inline, static]`

Executes a list of slots using an accumulator of type T_accumulator.

The arguments are passed directly on to the slots.

Parameters:

  first | An iterator pointing to the first slot in the list.
  last | An iterator pointing to the last slot in the list.
  _A_a1 | Argument to be passed on to the slots.
  _A_a2 | Argument to be passed on to the slots.
  _A_a3 | Argument to be passed on to the slots.
  _A_a4 | Argument to be passed on to the slots.

The documentation for this struct was generated from the following file:

- signal.h